cURL
curl --request GET \
--url https://api.juo.io/customer/v1/products \
--header 'X-Delegated-Token: <api-key>' \
--header 'X-Tenant-ID: <x-tenant-id>'import requests
url = "https://api.juo.io/customer/v1/products"
headers = {
"X-Tenant-ID": "<x-tenant-id>",
"X-Delegated-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Tenant-ID': '<x-tenant-id>', 'X-Delegated-Token': '<api-key>'}
};
fetch('https://api.juo.io/customer/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": "list",
"hasNextPage": true,
"hasPrevPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"data": [
{
"id": "<string>",
"title": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"altText": "<string>"
},
"variants": [
{
"id": "<string>",
"title": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"altText": "<string>"
},
"price": 123,
"purchaseOptions": [
{
"name": "<string>",
"price": 123,
"interval": {
"intervalCount": 123,
"interval": "DAY"
}
}
]
}
],
"collections": [
{
"handle": "<string>"
}
]
}
]
}Products
List products
Returns a list of products.
GET
/
products
cURL
Authorizations
DelegatedTokenAccessToken
Headers
Unique identifier of the tenant in the system (usually a store identifier)
Query Parameters
The search query string. See search query language for information how to build the search query. Supported fields are listed here.
See pagination for more details on how to paginate the results.
Required range:
1 <= x <= 100See pagination for more details on how to paginate the results.
Minimum string length:
1See pagination for more details on how to paginate the results.
Minimum string length:
1